<nav class="navbar navbar-expand-md navbar-dark bg-dark">
  <a class="navbar-brand" href="javascript:void(0);" routerLink="/">ABC</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
  <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarsExampleDefault">
  <ul class="navbar-nav mr-auto"  >

    <ng-container *ngIf="this.auth.isAuthenticated();then authenticated;else notAuthenticated">

    </ng-container>

      <ng-template #notAuthenticated>
        <li class="nav-item"><a href="javascript:void(0);" routerLink="/register"  class="nav-link" >Register</a></li>
        <li><a class="nav-link" href="javascript:void(0);" routerLink="/login" >Login</a></li>
      </ng-template>

      <ng-template #authenticated>
        <li class="nav-item"><a href="javascript:void(0);" routerLink="/dashboard" class="nav-link" >Dashboard</a></li>
        <li><a class="nav-link" href="javascript:void(0);"  (click)="logout()" >Logout</a></li>
      </ng-template>


  </ul>

  </div>
</nav>